Первый запуск программы
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Перед запуском программы необходимо вставить ключ защиты в USB порт вашего компьютера. При его подсоединении система установит драйвер, на обнаруженное новое устройство. Если драйвер установлен, то на ключе будет гореть светодиод постоянным светом.

Теперь можно запустить программу.

После первого запуска программы необходимо выбрать язык и настроить основные параметры.

1. Выбрать язык

2. Настройка программы


Выбор языка
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При первом запуске программы автоматически усвливается английский язык.

Для смены языка необходимо зайти в меню "Service\Language of program" и выбрать нужный язык.

Для программы доступно тря языка:

1. Английский.

2. Русский.

3. Португальский.


Настройка программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Для того, что бы попасть в окно "Настройки" программы необходимо зайти в меню "Сервис/Настройки программы"


Основное окно программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Основное окно программы разбито на 7 зон.

1. Меню программы.

2. Игровое поле.

3. Информация о переборе.

4. Окно протокола партии.

5. Окно дебютной библиотеки.

6. Окно вывода цепочек основных вариантов.

7. Строка состояния.


Меню программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Меню программы состоит из 4 частей.

Верхняя часть - непоредственно само меню.

Нижняя часть состоит из:

1. Дублирующие кнопки меню для управления игрой.

2. Информация о Включении/Отключении функции занеения ходов в дебютную библиотеку.

3. Кнопки для управления протоколом партии.

Верхняя часть меню состоит из следующих пунктов:

1. Файл

2. Игра

3. Режимы

4. Сервис

5. Дебютная библиотека

6. Время

7. Партии

8. Протокол

9. Обновления

10. Помощь

Дублирующие кнопки меня для управления игрой позволяют:

1. Запустить новую игру.

2. Открыть окно "Выбор ходов для анализа".

3. Осуществить поиск партий, в которых присутсвует текущая позиция (включая позиции с переменой цвета).

4. Отменить все хода (вернуться к начальной позиции). Протокол партии не удаляется.

5. Отменить последний сделанный ход.

6. Остановить перебор.

7. Возобновить перебор.

8. Вернуть, отмененный ранее, ход.

9. Перейти в конечную позицию протокола.

10. Включить/выключить отображение информации о перебое.

11. Перейти в режим расстановки позиции.

12. Открыть окно "Настройки программы".

13. Открыть окно "О программе".

Информация о Включении/Отключении функции занеения ходов в дебютную библиотеку

В этом поле доступна информации о включении/отключении функции добавления ходов в дебютную библиотеку.

При включенной функции дополнительно отображается информации о приоритете с которым ход заносится в дебютную библиотеку.

Кнопки для управления протоколом партии

1. Открыть окно "База партий".

2. Перейти к предыдущей партии из базы.

3. Перейти к следующей партии из базы.

4. Открыть окно "Комментарии".

5. Копировать протокол партии в буфер обмена.

6. Сохранить партию в формате MS Word.

7. Сохранить партию. Доступны три варианта MS Word, PDN, TXT.

8. Сохранить изменения в текущей партии. Кнопка активна только для партии из базы, в том слуяае если были изменения.

9. Редактировать заголовок партии. Кнопка активна только для партии из базы. Появляется окно "Заголовок партии".

10. Сохранить протокол партии в базу. В базу добавляется новая партия. Появляется окно "Заголовок партии".

11. Отменить изменения в партии. Происходит повторная загрузка партии, все сделанные изменения не сохраняются.

12. Удаление всех комментариев из протокола.

13. Удаление всех побочных вариантов.


Меню "Файл"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Файл" пользователю будут доступны следующие опции.

"Загрузить позицию" - позволяет загрузить в программу ранее сохраненную позицию.

"Сохранить позицию" - позволяет сохранить текущую позицию. Протокол партии при этом не сохраняется.

"Изображение доски" - позволяет скопировать изображение доски в буфер обмена или сохранить изображение доски как файл рисунка.

"Выход" - закрывает программу.

Копирование изображение доски в буфер обмена, так же как и его сохранение, позволяет использовать его в дальнейшем. Например, его можно вставить в документ MS Word.


Контекстные меню программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В программы можно вызывать следующие контекстные меню:

1. Контекстное меню протокола партии.

2. Контекстное меню цепочек.


Контекстные меню протокола партии
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом контекстном меню доступны следующие пункты:

1. Добавить/Изменить комментарий - появляется окно "Комментарий", в котором можно добавлять изменять и удалять комментарии.

2. Вставить ком. из буфера до хода - вставляет перед ходом текстовый комментарий из буфера обмена.

3. Вставить ком. из буфера после хода - вставляет после ходом текстовый комментарий из буфера обмена.

4. Удалить комментарий до хода - удаляет текстовый комментарий перед ходом.

5. Удалить комментарий после хода - удаляет текстовый комментарий после хода.

6. Удалить все комментарии - удаляет все комментарии из протокола партии.

7. Оценить ход - выпадает подменю в котором можно выбрать оценку для текущего хода.

8. Оценить позицию - выпадает подменю в котором можно выбрать оценку для текущей позиции.

9. Вставить диаграмму до хода - вставляет в протокол перед ходом символ [#]. При экспорте в MS Word или HTML вместо символа добавляется диаграмма.

10. Вставить диаграмму после хода - вставляет в протокол после хода символ [#]. При экспорте в MS Word или HTML вместо символа добавляется диаграмма.

11. Скопировать протокол в буфер - в выпадающем подменю можно выбрать копирование протокола MS Word или PDN формате.

12. Удалить вариант вместе с ходом - удаляет текущий ход и все последующие хода текущего варианта.

13. Удалить вариант после хода - удаляет все хода текужего варианта после хода.

14. Удалить все побочные варианты - Удаляет все вложенные варианты, остается только основной вариант.


Контекстное меню цепочек
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом контекстном меню доступны следующие пункты:

1. Автообновление - позволяет включить/выключить режим автообновления цепочек.

2. Скопировать в буфер все - копирует все цепочки в буфер обмена.

3. Скопировать выделенное - копирует в буфер обмена только выделенный текст.


Игровое поле
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом поле пользователь может передвигать шашки в режиме игры или режиме анализа.

Либо расставлять шашки в режиме расстановки позиции.


Информация о переборе
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В обласи информации о переборе отображается:

1. Затраченное время обоих игроков.

2. Информация об игроках.

3. В режиме игры или анализа - Доступные хода в текущей позиции. В режиме всех ходов - оценка каждого хода.

4. В режиме игры или анализа - Лучший ход в текущей позиции.

5. Оценка текущей позиции.

6. Глубина перебора, которая указывается в полуходах. Форсированные варианты просчитываются на большую глубину, которая указывается в скобках.

7. Скорость перебора (кило позиций в секунду).

8. Текущий анализируемый ход.

9. Общее количество оцененных в результате перебора позиций.

10. Количество обращений в эндшпильную базу.

11. Заполнение хеш таблицы.


Окно протокола партии
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В левом углу указывается порядковой номер в базе партий.

В верху по центру отображается информация из заголовка партии (игроки, наименование турнира, место проведения, номер тура и результат).

Остальное место занимает протокол партии в котором отображается:

1. Основной вариант партии.

2. Возможные побочные варианты

3. Комментарии к ходам.

В поле протокола партии можно вызвать "Контекстное меню протокола партии".


Окно дебютной библиотеки
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В области информации из дебютной библиотеки отображается:

1. Текстовое поле комментария к текущей позиции. Для изменения текста необходимо нажать кнопку "Редактировать".

2. Информация о ходах, которые есть в дебютной библиотеке для текущей позиции. Для изменения оценки хода, либо добавления нового хода в дебютную библиотеку необходимо нажать кнопку "Изменить"

Появится панель редактирования ходов дебютной библиотеки.

Необходимо в выпадающем списке выбрать один из доступных ходов.

После этого выбрать оценку для выбранного хода и нажать кнопку "Сохранить"

После завершения редактирования оценки ходов дебютной библиотеки нужно нажать кнопку "Готово".


Окно вывода цепочек основных вариантов
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В режиме игры или анализа выводится лучшая цепочка в текущей позиции. При активации чекбокса "Цепочка в строку" лучшая цепочка будет выводится в строку, а не в столбец.

В режиме оценки каждого хода или выборочного анализа выводятся цепочки для каждого хода. Цепочка для лучших ходов выводится сверку, для худших ходов снизу. В конце уепочки указывается оценка хода, глубина перебора и затраченное на анализ время.

Если цепочки часто обновляются, то для просмотра можно временно приостановить обновление цепочек. Для этого необходимо деактивировать чекбокс "Автообновление". После просмотра цепочек можно назад активировать данный чекбокс.

Кнопка "Обновить" позволяет обновить цепочки. Это может понадобится после отключения режима автообновления.

Для копирования цепочек в буфер обмена необходимо нажать кнопку "Скопировать в буфер".

Правой кнопкой мыши можно вызвать "Контекстное меню цепочек".


Строка состояния
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В строке состояния отображается следующая информация:

1. Выбранный режим игры.

2. Время, затраченное после последнего хода.

3. Соотношение сил - указывается общее количество фигур, а в скобках указывается количество дамок.

4. Информация об игроке белыми шашками.

4. Информация об игроке черными шашками.


Дополнительные окна программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В основном окне программы вызываются дополнительные окна:

1. Окно "Настройки программы".

2. Окно "Выбрать дебют".

3. Окно "Выбрать скин".

4. Окно "Настройка ДБ".

5. Окно "Установить время".

6. Окно "Импорт партии из текста".

7. Окно "О программе".

8. Окно "База партий".

9. Окно "Новый ход".

10. Окно "Выбор хода".

11. Окно "Комментарий".


Настройки программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно настроек программы состоит из 4 закладок:

1. Общие настройки.

2. Дебютная библиотека.

3. Протокол партии.

4. Движок и ЭБ.


Движок и ЭБ
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В разделе "Движок и ЭБ" задаются параметры использования ХЕШ таблици и параметры использования эндшпильных баз.

Для выбора оптимальных настроек программы необходимо знать параметры вашего компьютера.

А именно объем свободной оперативной памяти. Посмотреть его можно в диспечере задач, закладка "Быстродействие".

Информация о доступно физической памяти отображается в левом нижнем углу. Windows может использовать и виртуальную память.

Но необходимо понимать, что при использовании виртуальной памяти система переодически выгружает неиспользуемую память на жесткий диск.

А необходимые куски памяти подгружает с жесткого диска.

Скорость чтения с жесткого диска многократно ниже, чем скорость чтения оперативной памяти (исключением являются SSD диски).

Поэтому если вы будете использовать размер ЭБ, который превышает размер свободной оперативной памяти - скорость перебора будет сильно замедляться.

Желательно выбирать такие параметры ХЕШ таблицы и размер используемых ЭБ, что бы в сумме они не превышали размер свободной оперативной памяти.


Дебютная библиотека
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В разделе "Дебютная библиотека" задаются параметры использования дебютной библиотеки.

Можно включить/отключить возможность использования дебютной библиотеки.

Задать глубину использования, а так же параметры использования.

По умолчанию программа использует только выигрывающие ходы и хорошие.

При желании пользователь может создать и использовать свою библиотеку.

Например, пользователь может создать дебютную библиотеку и внести в нее варианты одного определенного дебюта.

В итоге программа будет играть только этот дебют.

Пользователь может оттачивать свое мастертво в этой дебютной схеме не отвлекаясь на другие.


Протокол партии
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В разделе "Протокол партии" можно задать цветовые параметры основного и вложенных вариантов.

Для лучшего визульного восприятия программа позволяет для вложенных вариантов выбрать различные цвета.

В том случае, когда вложенных вариантов больше 4, цвета занова распределяются, начиная первого.

Так же можно задать цвет комментариев.

Дополнительно можно изменить размер шрифта. Функция актуальна для людей испытывающих трудности в прочтениии мелкого текста.

Для протокола партии можно изменить знак взятия шашки с основного на альтернативный.


Общие настройки
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В разделе "Общие натройки" можно задать цветовые параметры выделения шашек и полей хода (боя).

Функция "Использовать задержку хода" используют для лучшего визуального восприятия перемещения шашек.

Параметры задержки можно настроить путем изменения значения цифрового поля данной функции.

При отключении этой функции задержки не будет, шашки будут передвигаться мгновенно.

Функция "Не выводить сообщения" позволяет отключить сообщения о несохраненной партии, сообщения о ничьей и конце игры.


Окно "Выбрать дебют"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В окне "Выбрать дебют" пользователь может выбрать любой начальный дебют.

Расстановка начальной позиции выбранного дебюта можно увидеть в правом верхнем углу.

После нажатия кнопки "Ок" начнется новая игра с расстановкой выбранного дебюта.


Окно "Выбор ходов для анализа"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В левой части окна доступны возможные хода в текущей позиции.

При двойном клике мышкой доступный ход появляется в правой часте (для анализа).

Можно выбрать все необходимые для анализа хода.

После нажатия кнопки "Ок" начнется анализ только тех ходов, которые были выбраны для анализа.


Окно "Выбрать Скин"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно "Выбрать скин" позволяет изменить внешний вид доски (вид шашек и цвета полей доски).

Для изменения внешнего вида доски достаточно выбрать один из доступных скинов.

Для возврата к стандартному виду необходимо нажать кнопку "По умолчанию".


Окно "Настройка ДБ"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При добавлении ходов в дебютную библиотеку автоматически при ходе, нужно указать с какой оценко хода будут добавляться.


Окно "Установить время"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом окне настраивается время на партию.

Возможно применение часов Фишера (добавление времени после каждого хода).


Окно "Импорт партии из текста"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно предназначено для иморта партии из текста.

Необходимо вставить текст с партией из буфера обмена.

Если начальная позиция не стандартная, тогда необходимо активировать чекбокс "Импорт из текущей позиции"

Начальную позицию можно расставить, для этого необходимо нажать кнопку "Расставить". В результе появится окно "Растановка позиции".

Если текст партии записан в краткой нотации, необходимо активировать чекбокс "Краткая нотация".

После нажатия кнопуи "Импорт" тектовый файл будет преобразован в партию формата ToSha. Текст, который не удастся интерпритоировать как ход, будет записан как комментарии.


Окно "О программе"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом окне доступна следующая информация:

1. Авторы программы.

2. Название программы.

3. Дата создания текущего файла.

4. Информация о размерности эндшпильных баз.

5. Информация о количестве позиций в дебютной библиотеке.

6. Номер лицензии (ключа).

Так же в этом окне вы можете:

1. Посетить веб страничку программы.

2. Написать письмо авторам программы.

3. Перейти на страничку заказа обновлений.


Окно "Новый ход"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В левой части окна указаны ходы, которые уже есть в протоколе.

Пользователь может:

1. Создать новый вариант, для этого необходимо нажать кнопку "Новый вариант".

2. Изменить текущий вариан, для этого необходимо нажать кнопку "Изменить вариант".

3. Если сделан ошибочный ход, тогда необходимо нажать кнопку "Отмена хода".


Окно "Выбор хода"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Если при выборе начального и конечного поля существует несколько вариантов ходов, появится окно выбора хода.

В списке доступных ходов будут указаны хода с полным указанием полей и сбитых шашек.

Необходимо выбрать ход, который вы хотите сделать.


Окно "Комментарий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В окне "Комментарий" вы можете внести комментарий до хода (верхняя часть окна) или после хода (нижняя часть окна)

Добавить к протоколу диаграмму, нажав кнопку "Вставить диаграмму".


Окно "Расстановка позиции"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В этом окне можно расставить произвольную позицию.

После расстановки нужно активировать/деактивировать чекбокс "Ход белых", в зависимости от очередности хода.

После расстановки нужно позиции нажмите кнопку "Готово".


Работа с базой партий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно базы партий рабито на три зоны:

1. Меню окна базы партий.

2. Список партий из базы.

3. Строка состояния базы партий.

Введите здесь текст раздела.


Меню окна "База партий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Меню окна "База партий" состоит из двух частей.

1. Верхняя часть меню.

2. Нижняя часть меню (дублирующие кнопки).

Верхняя часть меню состоит cледующих пунктов:

1. База партий.

2. Поиск.

3. Работа с базой.

4. Вид.

5. Экспорт партий.

6. Партии.

7. Инструменты.

Дублирующие кнопки нижней части меню позволяют:

1. Открыть/Создать базу партий.

2. Импортировать партии из базы партий ToSha (формат файла *.bpt).

3. Импортировать партии из файлов PDN (формат файла *.pdn).

4. Перейти в Основное окно программы.

5. Открыть окно Поиск партий.

6. Перейти к первой партии в базе.

7. Перейти предыдущей партии в базе.

8. Перейти к следующей партии в базе.

9. Редактировать Заголовок партии.

10. Пометить партию на удаление.

11. Обновить базу. Отменяет результаты поиска и показывает все записи.

12. Осуществить Экспорт в HTM.

13. Осуществить Экспорт в PDN.

14. Осуществить Экспорт в RTF.

15. Открыть окно Групповое редактирование заголовков.


Меню "База партий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "База партий" пользователю будут доступны следующие опции.

"Открыть/Создать базу партий" - позволяет открыть существующую базу партий или создать новую базу.

"Сохранить базу как ..." - позволяет сохранить текущую базу под другим именем.

"Импорт партий из базы BPT (ToSha)" - позволяет импортировать партии из другой базы в текущую.

"Импорт партий из PDN" - позволяет импортировать партии из файла PDN.


Меню "Поиск"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Поиск" пользователю будут доступны следующие опции.

"Поиск" - позволяет открыть окно "Поиск партий".


Меню "Работа с базой"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Работа с базой" пользователю будут доступны следующие опции.

"Показать все партии" - отменяет результаты поиска и фильтрации. Показывает все партии в базе.

"Пометить выделенные на удаление" - помечает выделенные партии на удаление.

"Удалить помеченные партии" - формирует список партий помеченных на удаление и показывает окно "Запрос на удаление".

"Снять пометку на удаление с выделенных" - снимает пометку на удаление с выделенных партий.

"Удалить все записи" - очищает текущую базу от всех записей. Все партии удаляются безвозвратно.


Меню "Вид"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Вид" пользователю будут доступны следующие опции.

"Ходы в партии" - позволяет отображать или скрывать начальные ходы партии в "Списке партий из базы" в крайней правой колонке.


Меню "Экспорт партий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Экспорт партий" пользователю будут доступны следующие опции.

"Экспорт партий в PDN" - позволяет осуществить Экспорт партий в PDN.

"Экспорт партий в RTF" - позволяет осуществить Экспорт партий в RTF.

"Экспорт партий в HTM" - позволяет осуществить Экспорт партий в HTM.

"Экспорт партий в BPT" - позволяет осуществить Экспорт партий в BPT.


Меню "Партии"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Партии" пользователю будут доступны следующие опции.

"Загрузить партию в Тошу" - загружает протокол текущей партии в программу.

"Редактировать заголовок партии" - открывает окно "Заголовок партии".

"Пометка на удаление" - пометить партию на удаление.

"Выделение партии" - выделяет текущую партию.


Меню "Инструменты"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Инструменты" пользователю будут доступны следующие опции.

"Групповое редактирование заголовков" - открывает окно Групповое редактирование заголовков.

"Изменение заголовков (имя, турнир, место)" - открывает окно Изменение заголовков (имя, турнир, место).

"Поиск дубликатов партий" - открывает окно Поиск дубликатов партий.

"Удалить варианты в выделенных партиях" - удаляет побочные варианты во всех выделенных партиях.

"Удалить комментарии в выделенных партиях" - удаляет комментарии во всех выделенных партиях.

"Выделить все партии" - выделяет все партии.


Список партий из базы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В списке партий отображается следующая информация:

1. Порядковый номер партии в базе. Поле "№".

2. ФИО игрока белыми шашками. Поле "Белые".

3. ФИО игрока черными шашками. Поле "Черные".

4. Номер тура и номер партии. Поле "Тур".

5. Результат партии. Поле "Результат".

6. Название турнира. Поле "Турнир".

7. Место проведение турнира. Поле "Место".

8. Дата партии. Поле "Дата".

9. Дополнительная информация по партии. Поле "Инфа".

Символ "p" - партия начинается с нестандартной позиции (перелеты или продвижения).

Символ "c" - в протоколе партии присутсвуют комментарии.

Символ "v" - в протоколе партии присутсвуют вложенные варианты.

10. Начальные ходы в текущей партии. Поле "Ходы в партии".

Выделенные партии помечены красным цвето.

Партии помеченные на удаление помечены серым цветом, шрифт зачеркнутый.

Если выделена партия помеченная на удаление, тогда она будет помечена кразным цветом, шрифт зачеркнутый.

Общее количество выделенных и помеченных на удаление партий можно посмотреть в правой части строки состояния базы партий.


Строка состояния базы партий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В строке состояния доступна следующая информация:

1. Количество партий в открытой базе партий.

2. Количество отображаемых партий.

3. Разположение файла базы партий.

4. Количество выделенных партий.

5. Количество партий помеченных на удаление.


Дополнительные окна Базы партий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Введите здесь текст раздела.


Окно "Заголовок партии"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В окне вносится информация о партии:

1. ФИО игрока белыми шашками.

2. ФИО игрока черными шашками.

3. Название турнира.

4. Место проведения турнира.

5. Номер тура и номер партии.

6. Результат партии.

7. Дата партии.

Помле внесения всех данных необходимо нажать кнопку "Ок".


Окно "Поиск партий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В окне поиска партий необходимо указать кретерии для поиска партий.

Чекбокс "Полное совпадение имен" в активированном состоянии позволяет осуществлять поиск по точному имени.

При деактивированном чекбоксе "Полное совпадение имен" будут искаться все партии, в которых присутсвует данное имя.

Например выбрав в ФИО "Дашков" вы получите партии со следующими именами: Дашков, Дашков О., Дашков О.Н., Дашков ОН, Дашков И., Дашков В.О., Дашкова, Дашкова Г. итд.

При активации чекбокса "Полное совпадение имен" и выбое ФИО "Дашков" вы получите только партии с ФИО "Дашков". Все остальные партии будут отсеены.

В качестве дополнительных параметров для поиска можно выбирать результаты партии, ограничить даты партий, искать партии с комментариями, вложенными вариантами или партии начинающиеся с нестандартных позиций.

Для того, что бы искать партии в которых встречалась определенная позиция необходимо активировать чекбокс "Поиск по позиции".

В правой части окна нажать кнопку "Расставить", в результате появится окно "Расстановка позиции".


Окно "Групповое редактирование заголовков"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно позволяет выполнять групповое редактирование заголовков выделенных партий.

Для указания поля, которое должно быть отредактировано, нужно активировать чекбокс соответсвующего поля.

Можно адновременно активировать чекбоксы нескольких полей.

В выпадающих списках нужно выбрать значение, которое должно быть записано в указанное поле.

При нажатии кнопки "Ок" будет отредактированны указанные поля в выделенных партиях.


Окно "Запрос на удаление"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Во избежание случайного удаления программа выдает запрос на удаление в котором указан список партий, помеченных на удаление.

Для подтверждения удаления необходимо нажать кнопку "Удалить". После этого партии будут удалены из базы.


Окно "Изменение заголовков (имя, турнир, место)"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

В данном окне можно привести имена игроков турниров и мест к одинаковому значению.

Например у вас в базе сушествуют одинаковы игроки с разным написанием ФИО, с инициалами, без инициалов итд.

Перед поиском дубликатов рекомендуется привести эти имена к одному знаменателю.

Необходимо выбрать какое имя найти и на какое заментнить.

После приведения имен к одному формату рекомендуется осуществит поиск дубликатов партий, который производится в окне "Поиск дубликатов партий".


Окно "Поиск дубликатов партий"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Перед поиском дубликатов партий рекомендуется привести имена игроков, наименование турнира и места проведения к одному формату.

Сделать это можно в окне "Изменение заголовков (имя, турнир, место)".

Для поиска дубликатов партий необходимо определить параметры поиска. Для этого нужно активировать или деактивировать соответсвующие чекбоксы.

Для начала поиска дубликатов нажмите кнопку "Поиск дубликатов".

В процессе поиска дубликатов в окне будет выводится информация о резултате обработки данных

После обработки данных программа выведет списко партий у который есть дубликаты и сами дубликаты этих партий.

Дубликаты будут помечены на удаление (выделены серым цветом, зачеркнутым шрифтом).

Для удаления дубликатов нужно воспользоваться меню "Работа с базой" и выбрать пункт "Удалить помеченные партии".


Экспорт партий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Программа позволяет экспортировать выбранные партии в следующие форматы:

1. RTF.

2. PDN.

3. HTM.

4. BPT.

Перед экспортом необходимо выделить партии, которые вы ходите экспортировать.

Сделать это можно правой кнопкой мыши, кнопкой INSERT или воспользоваться меню "Партии", выбрав пункт "Выделение партии".

В экспорте будут участвовать только выделенные партии.


Экспорт партий в RTF
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Экспорт в формат RTF позволяет создать файл с пртиями в формате RTF


Экспорт партий в PDN
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Экспорт в формат PDN позволяет создать файл с пртиями в формате PDN


Экспорт партий в HTM
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Экспорт в формат HTM позволяет создать файл с пртиями в формате HTM.

В левой верхней части отображается интерактивная доска на которой передвигаются шашки. Некоторые браузеры в целях безопасности ее блокируют.

В левой нижней части отображается список партий.

В правой части располагается протокол партии с диаграммами и вложенными вариантами.


Экспорт партий в BPT
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Экспорт в формат BPT позволяет создать файл с пртиями в формате BPT.

Это актуально, когда вы хотите переслать другому пользователю программы ToSha несколько партий из своей базы.

Либо хотите перенести часть партий в другую базу.


Возможные проблемы с программой
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Рассмотрим 4 основные проблемы, которые могут возникнуть.

1. Программа не включается полностью.

2. Проблема с игровым полем программы.

3. Проблема с базой партий.

4. Программа работает медленно.


Программа не включается полностью
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Если у вас не загружается программы, как на картинке, тогда возможно несколько причин:

1. Вы не вставили ключь защиты в USB разъем.

2. Ключь защиты вставлен, но не установлены драйвера защиты. При установленных драйверах светодиод ключа горит ровным светом (не мигает).

Устраните недочеты, которые указаны в первом и втором пункте и повторно загрузите программу. Программа должна загрузиться.


Проблема с игровым полем программы
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Если у вас возникли проблемы с игровым полем (снизу белая полоса, при нажатии на одну шашку выделяется другая идт) проверьте настрой экрана.

Возможно ваши настройки отличаются от стандартных. Если это так необходима вернуть натройки экрана к тандартным параметрам.

После этого проблем быть не должно.


Проблема с базой партий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При возникновении проблемы с базой партий, например не осуществляется поиск партий, не осуществляется поиск дубликатов, нужно сохранить базу партию как новую. Для этого воспользуйтесь меню "База партий", пункт "Сохранить базу как ...".После этого откройти эту новую базу, все проблемы там должны быть устранены.


Программа работает медленно
No contents entries on this page
Menu
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Если ваша программа работает медлонно, то основных причин может быть две:

1. Вы не корректно настроили размер ХЕШ тамлицы и размер используемых ЭБ. Для корректной настройки передите в окно "Настройки", вкладка "Движок и ЭБ".

2. Ваш антивирус замедляет работу программы. Каждый антивирус ведет проверку активных программ. Рекомендуется в настройках антивируса добавить в исключения паку с программой ToSha. Это позволит повысить производитеьность программы.


Меню "Дебютная библиотека"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Дебютная библиотека" пользователю будут доступны следующие опции.

"Заносить хода в дебютную библиотеку" - позволяет включить/отключить возможность автоматического добавления ходов в дебютную библиотеку.

"Окно настроек оценки ходов" - открывает окно "Настройка ДБ".


Меню "Время"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Время" пользователю будут доступны следующие опции.

"1 секунда на ход" - устанавливает время на ход для программы равное 1 сек.

"2 секунда на ход" - устанавливает время на ход для программы равное 2 сек.

"3 секунда на ход" - устанавливает время на ход для программы равное 3 сек.

"4 секунда на ход" - устанавливает время на ход для программы равное 4 сек.

"5 секунда на ход" - устанавливает время на ход для программы равное 5 сек.

"10 секунда на ход" - устанавливает время на ход для программы равное 10 сек.

"20 секунда на ход" - устанавливает время на ход для программы равное 20 сек.

"30 секунда на ход" - устанавливает время на ход для программы равное 30 сек.

"45 секунда на ход" - устанавливает время на ход для программы равное 45 сек.

"60 секунда на ход" - устанавливает время на ход для программы равное 60 сек.

"Установить в ручную" - открывает окно "Установить время".


Меню "Игра"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Игра" пользователю будут доступны следующие опции.

"Новая партия" - программа переходит в режим новой игры. Раставляется начальная позиция. Право хода передается белым.

"Выбрать дебют" - появляется окно "Выбрать дебют".

"Отменить ход" - отменяет последний сделанный ход

"Вернуть ход" - возвращает поледний сделанный ход

"Пауза" - приостанавливает перебор программы

"Сделать ход" - останавливает перебор программы и делает ход.

"Остановить перебор" - останавливает перебор

"Раставить позицию" - появляется панель расстановки позиции.


Меню "Обновления"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Обновления" пользователю будут доступны следующие опции.

"Полное обновление" - позволяет скачать обновление для программы.

Обновление содержит основные лужебные файлы, которые необходимы для работы программы.

Базы партий и эндшпильные базы отсутсвуют.


Меню "Партии"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Партии" пользователю будут доступны следующие опции.

"Загрузить из буфера" - открывает окно "Импорт партии из текста".

"Показать окно базы партий" - открывает окно "База партий".

"Сохранить партию как ..." - открывает диалоговое окно сохранения партии. Доступны три варианта сохранения партии: в формате RTF, в формате PDN и в формате TXT.

"Добавить партию в базу" - добавляет партию в базу программы.

"Предыдущая партия" - открывает предыдущую партию из базы партий программы.

"Следующая партия" - открывает следущую партию из базы партий программы.


Меню "Помощь"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Помощь" пользователю будут доступны следующие опции.

"О программе ..." - открывает окно "О программе"

"Инструкция" - открывает файл с описанием программы и инструкцией по пользованиюю.


Меню "Протокол"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Протокол" пользователю будут доступны следующие опции.

"Скопировать в буфер" - состоит из двух подменю:

"В формате MS Word" - копирует в буфер обмена протокол партии в формате MS Word.

"В формате PDN" - копирует в буфер обмена протокол партии в формате PDN.

"Побочные варианты" - состоит из трех подменю:

"Спросить пользователя (показать запрос)" - показывает окно "Новый ход", если сделанный ход не совпадает с протоколом партии.

"Всегда добавлять варианты (без запроса)" - всегда добавляет новые варианты, без уведомления пользователя.

"Не добавлять варианты (без запроса)" - всегда заменяет ход, если он не совпадает с протоколом, без уведомления пользователя.


Меню "Режимы"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Режимы" пользователю будут доступны следующие опции.

"Человек-Человек" - программа позволяет передвигать шашки за оба цвета. Функции анализа отключена.

"Человек-Компьютер" - вклюается режим игры человека с компьютером. Человек может передвигать белые шашки.

"Компьютер-Человек" - вклюается режим игры компьютера с человеком. Человек может передвигать черные шашки.

"Компьютер-Компьютер" - вклюается режим игры компьютер с компьютером. Человек не может передвигать шашки.

"Режим Анализа" - включается режим анализа. Человек может передвигать шашки за оба цвета. Програма анализирует позицию и позволяет выводить лучшую цепочку.

"Оценивать все хода" - включается режим анализа. Человек может передвигать шашки за оба цвета. Програма анализирует каждый ход и позволяет выводить цепочки для каждого хода.

"Выборочный анализ" - появляется окно "Выбор ходов для анализа" Пользователь выбирает хода, которые нужно анализировать. Включается режим анализа. Человек может передвигать шашки за оба цвета. Програма анализирует только те ходы, которые выбрал пользователь и позволяет выводить цепочки для этих ходов.

"Игра в слепую" - программа не отображает шашки на доске. Пользователь может играть с программой. При периодическом использовании данной функции у пользователя увеличивается глубина и точность расчета.


Меню "Сервис"
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

При выборе меню "Сервис" пользователю будут доступны следующие опции.

"Повернуть доску" - позволяет перевернуть доску на игровом поле. Если белые шашки были снизу, они перейдут на верх. При повторном нажатии опять перейдут вниз.

"Быстрый ход" - при выборе данной функции программа автоматически делает ход, если у выбранной шашки только одно поле для хода. Либо автоматически делает ход, если на выбранное поле может быть сделан только один ход.

"Авто ход" - при активации данной функции программа будет делать автоматически ход, если доступный ход только один.

"Озвучка хода" - сделанный ход озвучивается - проговаривается откуда и куда сделан ход.

"Подсветить сделанный ход" - после хода останутся подсвечены поля, которые участвовали в последнем ходе, в том числе и поля на которых были срублены шашки.

"Обдумыван за чужое время" - при активации данной функции программа анализирует текущую позицию. Доступна возможность просмотра лучшего варианта или хода.

"Информация о переборе" - позволяет отображать (либо скрывать) информацию о переборе.

"Выводить цепочку при игре" - позволяет при обдумывании компьютера выводить не только лучший ход, но и лучшую цепочку.

"Настройки программы" - открывает окно "Настройки программы".

"Изменить вид доски" - открывает окно "Выбрать скин".